%define majorminor  0.9
%define gstreamer   gstreamer09

%define gst_minver   0.9.1

Name: 		%{gstreamer}-plugins-bad
Version: 	0.9.6
Release: 	1.gst
Summary: 	GStreamer plug-ins of bad quality

%define 	majorminor	0.9

Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gstreamer.freedesktop.org/
Vendor:         GStreamer Backpackers Team <package@gstreamer.freedesktop.org>
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         %{gstreamer} >= %{gst_minver}
BuildRequires:    %{gstreamer}-devel >= %{gst_minver}

BuildRequires:  gcc-c++

# @USE_AUDIOFILE_TRUE@Requires:      audiofile >= 0.2.1
# @USE_AUDIOFILE_TRUE@BuildRequires: audiofile-devel >= 0.2.1
BuildRequires:  faad2-devel >= 2.0
# BuildRequires:  gsm-devel >= 1.0.10
# @USE_HERMES_TRUE@Requires:      Hermes >= 1.3.0
# @USE_HERMES_TRUE@BuildRequires: Hermes-devel >= 1.3.0
# @USE_LIBFAME_TRUE@BuildRequires:  libfame-devel >= 0.9.0
Requires:      SDL >= 1.2.0
BuildRequires: 	XFree86-devel
# @USE_SWFDEC_TRUE@BuildRequires:  swfdec-devel
Provides:      gstreamer-faad = %{version}-%{release}
#Requires:      faac >= 1.23
# Provides:       gstreamer-gsm = %{version}-%{release}
# @USE_LIBFAME_TRUE@Provides:       gstreamer-libfame = %{version}-%{release}
# @USE_SWFDEC_TRUE@Provides:       gstreamer-swfdec = %{version}-%{release}

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains GStreamer Plugins that are considered to be of bad
quality, even though they might work.

%prep
%setup -q -n gst-plugins-bad-%{version}

%build
%configure

make %{?_smp_mflags}
                                                                                
%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
                                                                                
# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# %find_lang gst-plugins-bad-%{majorminor}

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS

# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstqtdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgsttta.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeed.so
#%{_libdir}/gstreamer-%{majorminor}/libgstivorbis.so
# gstreamer-plugins with external dependencies but in the main package
# @USE_ARTS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstarts.so
# @USE_ARTSC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstartsdsink.so
# @USE_AUDIOFILE_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstaudiofile.so
# @USE_DIRAC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdirac.so
%{_libdir}/gstreamer-%{majorminor}/libgstfaad.so
#%{_libdir}/gstreamer-%{majorminor}/libgstfaac.so
# %{_libdir}/gstreamer-%{majorminor}/libgstgsm.so
# @USE_HERMES_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsthermescolorspace.so
# @USE_LIBFAME_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstlibfame.so
# @USE_MUSICBRAINZ_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsttrm.so
# @USE_OPENGL_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstglimagesink.so
# @USE_POLYP_TRUE@%{_libdir}/gstreamer-%{majorminor}/libpolypaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstsdlvideosink.so
# @USE_SNDFILE_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsndfile.so
# @USE_SWFDEC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstswfdec.so
                                                                                
## DXR3 ###
# @USE_DXR3_TRUE@%package -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@Summary:       GStreamer plug-in for playback using dxr3 card.
# @USE_DXR3_TRUE@Group:         Applications/Multimedia
# @USE_DXR3_TRUE@Requires:      gstreamer-plugins = %{version}
# @USE_DXR3_TRUE@Requires:      em8300 >= 0.12.0
# @USE_DXR3_TRUE@BuildRequires: em8300-devel >= 0.12.0
# @USE_DXR3_TRUE@Obsoletes:     gstreamer-dxr3
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%description -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@Plug-in supporting DVD playback using cards
# @USE_DXR3_TRUE@with the dxr3 chipset like Hollywood Plus
# @USE_DXR3_TRUE@and Creative Labs DVD cards.
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%files -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@%defattr(-, root, root)
# @USE_DXR3_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdxr3.so
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%post -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%postun -n gstreamer-plugins-dxr3

#### JACK AUDIO CONNECTION KIT ###
# @USE_JACK_TRUE@%package -n gstreamer-plugins-jack
# @USE_JACK_TRUE@Summary:  GStreamer plug-in for the Jack Sound Server.
# @USE_JACK_TRUE@Group:    Applications/Multimedia
# @USE_JACK_TRUE@Requires: gstreamer-plugins = %{version}
# @USE_JACK_TRUE@Requires: jack-audio-connection-kit >= 0.28.0
# @USE_JACK_TRUE@
# @USE_JACK_TRUE@Provides:	gstreamer-audiosrc
# @USE_JACK_TRUE@Provides:	gstreamer-audiosink
# @USE_JACK_TRUE@Obsoletes:	gstreamer-jack
# @USE_JACK_TRUE@
# @USE_JACK_TRUE@%description -n gstreamer-plugins-jack
# @USE_JACK_TRUE@Plug-in for the JACK professional sound server.
# @USE_JACK_TRUE@
# @USE_JACK_TRUE@%files -n gstreamer-plugins-jack
# @USE_JACK_TRUE@%defattr(-, root, root)
# @USE_JACK_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstjack.so
# @USE_JACK_TRUE@
# @USE_JACK_TRUE@%post -n gstreamer-plugins-jack
# @USE_JACK_TRUE@
# @USE_JACK_TRUE@%postun -n gstreamer-plugins-jack

#### NETWORK AUDIO SYSTEM  ###
# @USE_NAS_TRUE@%package -n gstreamer-plugins-nas
# @USE_NAS_TRUE@Summary:  GStreamer plug-in for the Network Audio System.
# @USE_NAS_TRUE@Group:    Applications/Multimedia
# @USE_NAS_TRUE@Requires: gstreamer-plugins = %{version}
# @USE_NAS_TRUE@Requires: libnas2 >= 1.6
# @USE_NAS_TRUE@Obsolotes:gstreamer-nas
# @USE_NAS_TRUE@
# @USE_NAS_TRUE@%description -n gstreamer-plugins-nas
# @USE_NAS_TRUE@Plug-in for the Network Audio System sound server.
# @USE_NAS_TRUE@
# @USE_NAS_TRUE@%files -n gstreamer-plugins-nas
# @USE_NAS_TRUE@%defattr(-, root, root)
# @USE_NAS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstnassink.so
# @USE_NAS_TRUE@
# @USE_NAS_TRUE@%post -n gstreamer-plugins-nas
# @USE_NAS_TRUE@
# @USE_NAS_TRUE@%postun -n gstreamer-plugins-nas

#### MMS Protocol support ####
# @USE_LIBMMS_TRUE@%package -n gstreamer-plugins-mms
# @USE_LIBMMS_TRUE@Summary:  GStreamer plug-in for MMS protocol support 
# @USE_LIBMMS_TRUE@Group:    Applications/Multimedia
# @USE_LIBMMS_TRUE@Requires: gstreamer-plugins = %{version}
# @USE_LIBMMS_TRUE@Requires: libmms >= 0.1
# @USE_LIBMMS_TRUE@Obsoletes:gstreamer-mms
# @USE_LIBMMS_TRUE@
# @USE_LIBMMS_TRUE@%description -n gstreamer-plugins-mms
# @USE_LIBMMS_TRUE@Plug-in for the MMS protocol used by Microsoft
# @USE_LIBMMS_TRUE@
# @USE_LIBMMS_TRUE@%files -n gstreamer-plugins-mms
# @USE_LIBMMS_TRUE@%defattr(-, root, root)
# @USE_LIBMMS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstmms.so
# @USE_LIBMMS_TRUE@
# @USE_LIBMMS_TRUE@%post -n gstreamer-plugins-mms
# @USE_LIBMMS_TRUE@
# @USE_LIBMMS_TRUE@%postun -n gstreamer-plugins-mms

### VIDEO 4 LINUX 2 ###
# @USE_GST_V4L2_TRUE@%package -n gstreamer-plugins-v4l2
# @USE_GST_V4L2_TRUE@Summary:       GStreamer Video for Linux 2 plug-in.
# @USE_GST_V4L2_TRUE@Group:         Applications/Multimedia
# @USE_GST_V4L2_TRUE@Requires:      gstreamer-plugins = %{version}
# @USE_GST_V4L2_TRUE@BuildRequires: glibc-devel
# @USE_GST_V4L2_TRUE@Obsoletes:	  gstreamer-v4l2
# @USE_GST_V4L2_TRUE@
# @USE_GST_V4L2_TRUE@%description -n gstreamer-plugins-v4l2
# @USE_GST_V4L2_TRUE@Plug-in for accessing Video for Linux devices.
# @USE_GST_V4L2_TRUE@
# @USE_GST_V4L2_TRUE@%files -n gstreamer-plugins-v4l2
# @USE_GST_V4L2_TRUE@%defattr(-, root, root)
# @USE_GST_V4L2_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so
# @USE_GST_V4L2_TRUE@
# @USE_GST_V4L2_TRUE@%post -n gstreamer-plugins-v4l2
# @USE_GST_V4L2_TRUE@
# @USE_GST_V4L2_TRUE@%postun -n gstreamer-plugins-v4l2

### XVID ###
# @USE_XVID_TRUE@%package -n gstreamer-plugins-xvid
# @USE_XVID_TRUE@Summary:       GStreamer XVID plug-in.
# @USE_XVID_TRUE@Group:         Applications/Multimedia
# @USE_XVID_TRUE@Requires:      gstreamer-plugins = %{version}
# @USE_XVID_TRUE@BuildRequires: glibc-devel
# @USE_XVID_TRUE@Obsoletes:     gstreamer-xvid
# @USE_XVID_TRUE@
# @USE_XVID_TRUE@%description -n gstreamer-plugins-xvid
# @USE_XVID_TRUE@Plug-in for decoding XVID files.
# @USE_XVID_TRUE@
# @USE_XVID_TRUE@%files -n gstreamer-plugins-xvid
# @USE_XVID_TRUE@%defattr(-, root, root)
# @USE_XVID_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstxvid.so
# @USE_XVID_TRUE@
# @USE_XVID_TRUE@%post -n gstreamer-plugins-xvid
# @USE_XVID_TRUE@
# @USE_XVID_TRUE@%postun -n gstreamer-plugins-xvid


%changelog
* Mon Feb 14 2005 Christian Schaller <christian at fluendo dot com>
- Add vnc plugin 

* Wed Jan 19 2005 Christian Schaller <christian at fluendo dot com>
- add dv1394 plugin

* Wed Dec 22 2004 Christian Schaller <christian at fluendo dot com>
- Add -plugins- to plugin names

* Thu Dec 9  2004 Christian Schaller <christian a fluendo dot com>
- Add the mms plugin

* Wed Oct 06 2004 Christian Schaller <christian at fluendo dot com>
- Add Wim's new mng decoder plugin
- add shout2 plugin for Zaheer, hope it is correctly done :)

* Wed Sep 29 2004 Christian Schaller <uraeus at gnome dot org>
- Fix USE statement for V4L2

* Thu Sep 28 2004 Christian Schaller <uraeus at gnome dot org>
- Remove kio plugin (as it was broken)

* Wed Sep 21 2004 Christian Schaller <uraeus at gnome dot org>
- Reorganize SPEC to fit better with fedora.us and freshrpms.net packages
- Make sure gstinterfaces.so is in the package
- Add all new plugins

* Mon Mar 15 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- put back media-info
- add ffmpegcolorspace plugin

* Sun Mar 07 2004 Christian Schaller <Uraeus@gnome.org>
- Remove rm commands for media-info stuff
- Add libdir/*
                                                                                
* Thu Mar 04 2004 Christian Schaller <Uraeus@gnome.org>
- Add missing gconf schema install in %post

* Tue Mar 02 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- Libraries/Multimedia doesn't exist, remove it

* Tue Mar 02 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- added speex plugin.

* Mon Mar 01 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- Cleaned up the mess.  Could we PLEASE keep this sort of organized and
- alphabetic for easy lookup ?

* Fri Feb 13 2004 Christian Schaller <Uraeus@gnome.org>
- Added latest new headers

* Wed Jan 21 2004 Christian Schaller <Uraeus@gnome.org>
- added NAS plugin
- added i18n locale dir

* Fri Jan 16 2004 Christian Schaller <uraeus@gnome.org>
- added libcaca plugin
- added libgstcolorspace - fixed name of libgsthermescolorspace

* Wed Jan 14 2004 Christian Schaller <uraeus@gnome.org>
- Add gamma plugin
- Have the pixbuf plugin deleted for now

* Wed Dec 18 2003 Christian Schaller <Uraeus@gnome.org>
- remove gsttagediting.h as it is gone
- replace it with gst/tag/tag.h

* Sun Nov 23 2003 Christian Schaller <Uraeus@gnome.org>
- Update spec file for latest changes
- add faad plugin

* Thu Oct 16 2003 Christian Schaller <Uraeus@gnome.org>
- Add new colorbalance and tuner and xoverlay stuff
- Change name of kde-audio-devel to arts-devel

* Sat Sep 27 2003 Christian Schaller <Uraeus@gnome.org>
- Add majorminor to man page names
- add navigation lib to package

* Tue Sep 11 2003 Christian Schaller <Uraeus@gnome.org>
- Add -%{majorminor} to each instance of gst-register

* Tue Aug 19 2003 Christian Schaller <Uraeus@Gnome.org>
- Add new plugins

* Sat Jul 12 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- move gst/ mpeg plugins to base package
- remove hermes conditional from snapshot
- remove one instance of resample plugin
- fix up silly versioned plugins efence and rmdemux

* Sat Jul 05 2003 Christian Schaller <Uraeus@gnome.org>
- Major overhaul of SPEC file to make it compatible with what Red Hat ships
  as default
- Probably a little less sexy, but cross-distro SPEC files are a myth anyway
  so making it convenient for RH users wins out
- Keeping conditionals even with new re-org so that developers building the
  RPMS don't need everything installed
- Add bunch of obsoletes to ease migration from earlier official GStreamer RPMS
- Remove plugins that doesn't exist anymore

* Sun Mar 02 2003 Christian Schaller <Uraeus@gnome.org>
- Remove USE_RTP statement from RTP plugin
- Move RTP plugin to no-deps section

* Sat Mar 01 2003 Christian Schaller <Uraeus@gnome.org>
- Remove videosink from SPEC
* Thu Jan 23 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- various fixes
- make video output packages provide gstreamer-videosink

* Thu Jan 23 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- split out ffmpeg stuff to separate plugin

* Fri Dec 27 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- add virtual provides for audio sources and sinks

* Sun Dec 15 2002 Christian Schaller <Uraeus@linuxrising.org>
- Update mpeg2dec REQ to be 0.3.1

* Tue Dec 10 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- only install schema once
- move out devel lib stuff to -devel package

* Sun Dec 08 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- fix location of libgstpng
- changes for parallel installability

* Thu Nov 28 2002 Christian Schaller <Uraeus@linuxrising.org>
- Put in libgstpng plugin
- rm the libgstmedia-info stuff until thomas think they are ready

* Fri Nov 01 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- don't use compprep until ABI issues can be fixed

* Wed Oct 30 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- added smpte plugin
- split out dvdnavread package
- fixed snapshot deps and added hermes conditionals

* Tue Oct 29 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- added -play package, libs, and .pc files

* Thu Oct 24 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added wavenc to audio formats package

* Sat Oct 20 2002 Christian Scchaller <Uraeus@linuxrising.org>
- Removed all .la files
- added separate non-openquicktime demuxer plugin
- added snapshot plugin
- added videotest plugin
- Split avi plugin out to avi and windec plugins since aviplugin do not depend on avifile
- Added cdplayer plugin

* Fri Sep 20 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added gst-compprep calls

* Wed Sep 18 2002 Thomas Vander Stichele <thomas@apestaart.org>
- add gst-register-%{majorminor} calls everywhere again since auto-reregister doesn't work
- added gstreamer-audio-formats to mad's requires since it needs the typefind
  to work properly

* Mon Sep 9 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added v4l2 plugin
* Thu Aug 27 2002 Christian Schaller <Uraeus@linuxrising.org>
- Fixed USE_DV_TRUE to USE_LIBDV_TRUE
- Added Gconf and floatcast headers to gstreamer-plugins-devel package
- Added mixmatrix plugin to audio-effects package

* Thu Jul 11 2002 Thomas Vander Stichele <thomas@apestaart.org>
- fixed oss package to buildrequire instead of require glibc headers

* Mon Jul 08 2002 Thomas Vander Stichele <thomas@apestaart.org>
- fixed -devel package group

* Fri Jul 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- release 0.4.0 !
- added gstreamer-libs.pc
- removed all gst-register-%{majorminor} calls since this should be done automatically now

* Thu Jul 04 2002 Thomas Vander Stichele <thomas@apestaart.org>
- fix issue with SDL package
- make all packages STRICTLY require the right version to avoid
  ABI issues
- make gst-plugins obsolete gst-plugin-libs
- also send output of gst-register-%{majorminor} to /dev/null to lower the noise

* Wed Jul 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- require glibc-devel instead of glibc-kernheaders since the latter is only
  since 7.3 and glibc-devel pulls in the right package anyway

* Sun Jun 23 2002 Thomas Vander Stichele <thomas@apestaart.org>
- changed header location of plug-in libs

* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- major cleanups
- adding gst-register-%{majorminor} on postun everywhere
- remove ldconfig since we don't actually install libs in system dirs
- removed misc package
- added video-effects
- dot every Summary
- uniformify all descriptions a little

* Thu Jun 06 2002 Thomas Vander Stichele <thomas@apestaart.org>
- various BuildRequires: additions

* Tue Jun 04 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added USE_LIBADSPA_TRUE bits to ladspa package

* Mon Jun 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Added libfame package

* Mon May 12 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- Added jack, dxr3, http packages
- Added visualisation plug-ins, effecttv and synaesthesia
- Created devel package
- Removed gstreamer-plugins-libs package (moved it into gstreamer-plugins)
- Replaced prefix/dirname with _macros

* Mon May 06 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added gstreamer-GConf package

* Wed Mar 13 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added more BuildRequires and Requires
- rearranged some plug-ins
- added changelog ;)
